commit 2738db1c896a6d60c50c433cf43e6380bdc6915f
Author: freddy77 <freddy77>
Date:   Thu Sep 18 08:17:59 2008 +0000

    reduce #if use

diff --git a/ChangeLog b/ChangeLog
index ff1aac1..c408cb8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Sep 18 10:17:49 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/token.c: reduce use of #if
+
 Wed Sep 17 13:25:51 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: typo error
 
@@ -661,4 +664,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2611 2008/09/17 21:26:21 freddy77 Exp $
+$Id: ChangeLog,v 1.2612 2008/09/18 08:17:59 freddy77 Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index bb009f3..c678d16 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,13 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.354 2008/09/14 07:45:25 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.355 2008/09/18 08:18:02 freddy77 Exp $");
+
+#ifdef ENABLE_DEVELOPING
+# define USE_ICONV tds->use_iconv
+#else
+# define USE_ICONV 1
+#endif
 
 static int tds_process_msg(TDSSOCKET * tds, int marker);
 static int tds_process_compute_result(TDSSOCKET * tds);
@@ -2099,14 +2105,10 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		 * Here we allocate memory, if need be.  
 		 */
 		/* TODO this can lead to a big waste of memory */
-#ifdef ENABLE_DEVELOPING
-		if (tds->use_iconv)
+		if (USE_ICONV)
 			new_blob_size = determine_adjusted_size(curcol->char_conv, colsize);
 		else
 			new_blob_size = colsize;
-#else
-		new_blob_size = determine_adjusted_size(curcol->char_conv, colsize);
-#endif
 		if (new_blob_size == 0) {
 			curcol->column_cur_size = 0;
 			if (blob->textvalue)
@@ -2130,11 +2132,7 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		curcol->column_cur_size = new_blob_size;
 		
 		/* read the data */
-#ifdef ENABLE_DEVELOPING
-		if (tds->use_iconv && curcol->char_conv) {
-#else
-		if (curcol->char_conv) {
-#endif
+		if (USE_ICONV && curcol->char_conv) {
 			if (tds_get_char_data(tds, (char *) blob, colsize, curcol) == TDS_FAIL)
 				return TDS_FAIL;
 		} else {
@@ -2144,11 +2142,7 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 	} else {		/* non-numeric and non-blob */
 		curcol->column_cur_size = colsize;
 
-#ifdef ENABLE_DEVELOPING
-		if (tds->use_iconv && curcol->char_conv) {
-#else
-		if (curcol->char_conv) {
-#endif
+		if (USE_ICONV && curcol->char_conv) {
 			if (tds_get_char_data(tds, (char *) dest, colsize, curcol) == TDS_FAIL)
 				return TDS_FAIL;
 		} else {	
@@ -3380,11 +3374,7 @@ adjust_character_column_size(const TDSSOCKET * tds, TDSCOLUMN * curcol)
 	if (!curcol->char_conv && IS_TDS7_PLUS(tds) && is_ascii_type(curcol->on_server.column_type))
 		curcol->char_conv = tds->char_convs[client2server_chardata];
 
-#ifdef ENABLE_DEVELOPING
-	if (!tds->use_iconv || !curcol->char_conv)
-#else
-	if (!curcol->char_conv)
-#endif
+	if (!USE_ICONV || !curcol->char_conv)
 		return;
 
 	curcol->on_server.column_size = curcol->column_size;

